#
# IBM Confidential
#
# OCO Source Materials
#
# IBM Cognos Products: Moser
#
# (C) Copyright IBM Corp. 2015, 2016, 2017
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#

#NLS_ENCODING=UTF-8
#NLS_MESSAGEFORMAT_NONE

# AggregateMode
AggregateMode_dynamic = 动态
AggregateMode_static = 静态

# CardinalityEnum
CardinalityEnum_zero = 零
CardinalityEnum_one = 一
CardinalityEnum_many = 许多

# ContextMode
ContextMode_warnWhenMissing = 缺少上下文时显示警告
ContextMode_includeInQuery =  查询中需要上下文
ContextMode_infoWhenMissing = 缺少上下文时显示消息

# FacetTypeEnabled
FacetTypeEnabled_automatic = 自动
FacetTypeEnabled_true = True
FacetTypeEnabled_false = False

# GenerateSQL 
GenerateSQL_asView = 所有查询项显示在已生成的 SQL 中
GenerateSQL_minimized = 只有需要的查询项显示在已生成的 SQL 中

# HighLevelDataType
HighLevelDataType_boolean = 布尔值
HighLevelDataType_string = 文本
HighLevelDataType_integer = 整数
HighLevelDataType_decimal = 小数
HighLevelDataType_datetime = 时间戳记
HighLevelDataType_time = 时间
HighLevelDataType_date = 日期
HighLevelDataType_interval = 时间间隔
HighLevelDataType_array = 货币
HighLevelDataType_object = 二进制
HighLevelDataType_period = 时间段

# InstanceType
InstanceType_copy = 复制
InstanceType_local = 本地
InstanceType_missing = 缺少
InstanceType_reference = 引用
# JoinFilterType
JoinFilterType_none = 无
JoinFilterType_in = 在其中
JoinFilterType_between = 两者之间
JoinFilterType_table = 表
# ProParameterMode
ProParameterMode_in = 输入
ProParameterMode_out = 输出
ProParameterMode_inout = 覆盖

# QuerySubjectUsage
QuerySubjectUsage_automatic = 自动
QuerySubjectUsage_bridge = 网桥
QuerySubjectUsage_summaryQuery = 摘要查询

# RegularAggregateType
RegularAggregateType_automatic = 自动
RegularAggregateType_none = 无
RegularAggregateType_average = 平均值
RegularAggregateType_calculated = 聚合后计算
RegularAggregateType_count = 计数
RegularAggregateType_countDistinct = 计数差异
RegularAggregateType_countNonZero = 非零计数
RegularAggregateType_minimum = 最小值
RegularAggregateType_median = 中间值
RegularAggregateType_maximum = 最大值
RegularAggregateType_standardDeviation = 标准偏差
RegularAggregateType_total = 总计
RegularAggregateType_variance = 偏差
# SetOperation
# these strings are translatable, the translated ones should be in capitals as well
SetOperation_UNION = UNION
SetOperation_INTERSECT = INTERSECT
SetOperation_EXCEPT = EXCEPT

# SetOperationDuplicates
SetOperationDuplicates_remove = 移除
SetOperationDuplicates_preserve = 保留

# SortOrder
SortOrder_ascending = 升序
SortOrder_descending = 降序

# SortOrderNullPlacement
SortOrderNullPlacement_first = 第一个
SortOrderNullPlacement_last = 最后一个
# SourceCategoryType
SourceCategoryType_calculation = 计算
SourceCategoryType_column = 列
SourceCategoryType_dimension/measure = 维度/度量
SourceCategoryType_dimension/regular = 维度/常规
SourceCategoryType_folder = 文件夹
SourceCategoryType_hierarchy/level = 层级/级别
SourceCategoryType_hierarchy/parent-child = 层级/父子
SourceCategoryType_level = 级别
SourceCategoryType_measure = 度量
SourceCategoryType_namedSet = 命名集
SourceCategoryType_property = 属性
SourceCategoryType_table = 表
SourceCategoryType_variable = 变量

# SplitColumnTreatment
SplitColumnTreatment_show = 显示
SplitColumnTreatment_hide = 隐藏

# SplitDisplay
SplitDisplay_inline = 内嵌
SplitDisplay_folder = 文件夹

# SqlLanguageType
SqlLanguageType_cognos = Cognos
SqlLanguageType_native = 本地
SqlLanguageType_passThrough = 传递

# TableType
# these strings are translatable, the translated ones should be in capitals as well
TableType_TABLE = TABLE
TableType_VIEW = VIEW
TableType_SYSTEM_TABLE = SYSTEM_TABLE
TableType_GLOBAL_TEMPORARY = GLOBAL_TEMPORARY
TableType_LOCAL_TEMPORARY = LOCAL_TEMPORARY
TableType_ALIAS = ALIAS
TableType_SYNONYM = SYNONYM

# UsageType
UsageType_automatic = 自动
UsageType_identifier = 标识
UsageType_attribute = 属性
UsageType_fact = 度量

# UseSpecType
UseSpecType_database = 数据库
UseSpecType_file = 文件
UseSpecType_module = 模块
UseSpecType_dataset = 数据集
UseSpecType_package = 数据包


# UFRID:177D9FA3-8747-4102-A8A0-550FE965BF99
